



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>将树莓派Raspberry Pi设置为无线路由器(WiFi热点AP,RTL8188CUS芯片)</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">将树莓派Raspberry Pi设置为无线路由器(WiFi热点AP,RTL8188CUS芯片)</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 03:23:32 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>http://wangye.org/blog/archives/845/</p>
<p>最近又开始折腾起Raspberry Pi来了，因为某处上网需要锐捷拨号，于是我就想能不能让我的树莓派代劳，当然首先要将其改造为路由器，默认自带的网口作为WAN口，我们还缺一个网口， 木有办法，只好占用一个USB口，接上一个USB网卡，网上的USB转RJ45网线口的适配器比较少，价格也不便宜，于是就考虑干脆将其改造成无线路由， 也符合时下高端大气上档次的标准。</p>
<p>准备工作，当然要先去购买一个USB无线网卡，可以购买的型号比较多，Raspberry Pi官方也提供了<a href="http://elinux.org/RPi_VerifiedPeripherals#USB_Wi-Fi_Adapters" rel="external nofollow noreferrer">兼容性列表</a>供大家参考，具体猛击这里。我这里购买的是<strong>网件（Netgear）WNA1000M 150M迷你USB无线网卡</strong>。</p>
<p>较为官方的介绍配置为无线热点的文章莫过于这一篇<a href="http://elinux.org/RPI-Wireless-Hotspot" rel="external nofollow noreferrer">《RPI-Wireless-Hotspot》</a>。但是实际配置下来始终无法成功。但是无线网卡确实能够被识别，可以通过<code>lsusb</code>和<code>lsmod</code>查看到，不过我注意到这款无线的芯片型号是RealTek RTL8188CUS，初步怀疑是驱动问题。</p>
<p><img referrerpolicy="no-referrer"src="http://wangye.org/blog/wp-content/uploads/2013/11/Snip20131109_1.png" /></p>
<p>当然看到别人的老款无线网卡都配置成功了心里难免痒痒的，当然也不能再浪费银子去再买个网卡，于是只好自己摸索，不过天无绝人之路，在N次刷机重装系统后，终于找到了成功的办法，其实关键的文章就在上面那篇文章的一个链接中<a href="http://www.daveconroy.com/turn-your-raspberry-pi-into-a-wifi-hotspot-with-edimax-nano-usb-ew-7811un-rtl8188cus-chipset/" rel="external nofollow noreferrer">《Turn Your Raspberry Pi Into a WiFi Hotspot with Edimax Nano USB EW-7811Un (RTL8188CUS chipset)》</a>。</p>
<p>好了，下面我将实践的过程记录下来供大家参考，当然<strong>主要参考了上面两篇文章</strong>，这里是配置的回忆，我尽量记录详细，遗漏之处望指出。</p>
<p><strong>1. 安装系统（如果系统已经安装可以跳过这一步）</strong></p>
<p>1.1 尽量使用最新系统，首先下载<a href="http://www.raspberrypi.org/downloads" rel="external nofollow noreferrer">官方最新镜像</a>，然后使用<a href="http://sourceforge.net/projects/win32diskimager/" rel="external nofollow noreferrer">Win32DiskImager</a>烧录到SD卡上。注意这里我们选用的是Raspbian。</p>
<p>1.2 Raspberry Pi连接上无线网卡，然后系统镜像刷入SD卡后，我们连接显示器键盘和鼠标进行初始化配置工作，当然没有条件的话推荐直接使用SSH连接Raspberry Pi，这样更方便，因为新系统默认开放了SSH管理。</p>
<p><img referrerpolicy="no-referrer"src="http://wangye.org/blog/wp-content/uploads/2013/11/Snip20131109_2.png" /></p>
<p>连接信息主要如下：</p>
<pre class="prettyprint linenums">主机名 : raspberrypi<br />
用户名 : pi<br />
密  码 : raspberry</pre>
<p>如果你是直接通过SSH连接到Raspberry Pi的话，下面的配置步骤是必要的：</p>
<p>1.2.1 初始化配置，下面的配置只有在新安装的系统内需要，仅做一次。</p>
<p>运行下面的命令，进入配置界面：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo raspi-config</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p><img referrerpolicy="no-referrer"src="http://wangye.org/blog/wp-content/uploads/2013/11/Snip20131109_3.png" /><img referrerpolicy="no-referrer"src="http://wangye.org/blog/wp-content/uploads/2013/11/Snip20131109_4.png" /></p>
<p>推荐更新下面的配置选项（新配置界面）：</p>
<pre class="prettyprint linenums">1 Expand Filesystem<br />
2 Change User Password<br />
4 Internationalisation Options<br />
  I1 Change Locale<br />
  I2 Change Timezone<br />
8 Advanced Options<br />
  A3 Memory Split<br />
  A6 Update</pre>
<p>（旧配置界面）</p>
<pre class="prettyprint linenums">update<br />
expand_rootfs<br />
change_pass<br />
change_timezone<br />
memory_split</pre>
<p>这里要注意<code>Memory Split/memory_split</code>，默认预留给图形界面的是<strong>64MB</strong>，作为一台无线路由基本上就用不到图形界面了，很显然<strong>64MB</strong>略有奢侈，我们将其改成<strong>32MB</strong>。</p>
<p>最后<code>Finish</code>完成初始化配置。系统会自动提示重启，如果没有按预期重启，请使用下面的命令重启系统：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo shutdown -r now</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p><strong>2. 安装hotspot(hostapd)</strong></p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo apt-get install bridge-utils hostapd</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>hostapd实现的是无线共享，<strong>但需要注意的是官方提供的程序不兼容RTL8188CUS芯片的无线网卡，不过Edimax团队为我们专门编译了兼容的版本，下面的操作需要替换hostapd为兼容版本。</strong></p>
<p>替换的命令如下：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">wget http://www.daveconroy.com/wp3/wp-content/uploads/2013/07/hostapd.zip<br />
unzip hostapd.zip<br />
sudo mv /usr/sbin/hostapd /usr/sbin/hostapd.bak<br />
sudo mv hostapd /usr/sbin/hostapd.edimax<br />
sudo ln -sf /usr/sbin/hostapd.edimax /usr/sbin/hostapd<br />
sudo chown root.root /usr/sbin/hostapd<br />
sudo chmod 755 /usr/sbin/hostapd</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>接下来提供两种方案，一种是桥接方式设置热点，有点类似交换机工作原理，将网线口的信号转换为无线，另外一种则是路由方式实现无线上网，和大部分路由器工作方式一样。</p>
<p><strong>3. 桥接的方式设置WiFi热点（方案一）</strong></p>
<p>3.1 安装必备程序</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo apt-get install bridge-utils</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>3.2 配置网卡</p>
<p>编辑网卡配置文件：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo nano /etc/network/interfaces</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>注释掉所有的关于无线网卡的部分，最后应该变成下面所示：</p>
<pre class="prettyprint linenums">#allow-hotplug wlan0<br />
#wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf<br />
#iface default inet dhcp</pre>
<p>加上下面这段桥接配置：</p>
<pre class="prettyprint linenums">auto br0<br />
iface br0 inet dhcp<br />
bridge_ports eth0 wlan0</pre>
<p>最终的配置主要由以下几个部分组成：</p>
<pre class="prettyprint linenums">#loopback adapter<br />
auto lo<br />
iface lo inet loopback<br />
#wired adapter<br />
iface eth0 inet dhcp<br />
#bridge<br />
auto br0<br />
iface br0 inet dhcp<br />
bridge_ports eth0 wlan0</pre>
<p>3.3 配置hostapd</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo nano /etc/hostapd/hostapd.conf</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>配置信息如下：</p>
<pre class="prettyprint linenums">interface=wlan0<br />
driver=rtl871xdrv<br />
bridge=br0<br />
ssid=My_SSID_Name<br />
channel=1<br />
wmm_enabled=0<br />
wpa=1<br />
wpa_passphrase=MYPASSWORD<br />
wpa_key_mgmt=WPA-PSK<br />
wpa_pairwise=TKIP<br />
rsn_pairwise=CCMP<br />
auth_algs=1<br />
macaddr_acl=0</pre>
<p>配置文件具体我就不说了，想必大家看内容也知道各项的含义，保存这个配置文件。</p>
<p>3.4 重启并测试hostapd</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo reboot</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>重启完成后，使用下面的命令测试是否正确：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo hostapd -dd /etc/hostapd/hostapd.conf</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>如果没有错误的话，你这时应该能搜索到你所配置的无线信号。然后Ctrl+C退出这个测试。</p>
<p>如果一切正常的话，我们可以设置hostapd的配置文件路径了。</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo nano /etc/default/hostapd</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>去掉注释符号并改动下面这行为我们的配置文件路径：</p>
<pre class="prettyprint linenums">DAEMON_CONF="/etc/hostapd/hostapd.conf"</pre>
<p>桥接方式配置完成！</p>
<p><strong>4. 路由的方式设置WiFi热点（方案二）</strong></p>
<p>4.1 安装必备程序</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo apt-get install udhcpd</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>udhcpd主要为连接到WiFi的设备自动分配IP地址的，当然你也可以换用你所熟悉的软件。</p>
<p>4.2 配置udhcpd，编辑<code>/etc/udhcpd.conf</code>，主要内容如下：</p>
<pre class="prettyprint linenums">start 192.168.42.2 # This is the range of IPs that the hostspot will give to client devices.<br />
end 192.168.42.20<br />
interface wlan0 # The device uDHCP listens on.<br />
remaining yes<br />
opt dns 8.8.8.8 4.2.2.2 # The DNS servers client devices will use.<br />
opt subnet 255.255.255.0<br />
opt router 192.168.42.1 # The Pi's IP address on wlan0 which we will set up shortly.<br />
opt lease 864000 # 10 day DHCP lease time in seconds</pre>
<p>接下来编辑<code>/etc/default/udhcpd</code>并且将下面这行注释掉，以使DHCP Server正常工作：</p>
<pre class="prettyprint linenums">#DHCPD_ENABLED="no"</pre>
<p>4.3 配置无线网卡</p>
<p>通过下面的命令给无线网卡设置一个IP地址：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo ifconfig wlan0 192.168.42.1</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>当然为了下次启动仍然有效，我们需要配置<code>/etc/network/interfaces</code>文件：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo nano /etc/network/interfaces</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>注释掉所有的关于无线网卡的部分，最后应该变成下面所示：</p>
<pre class="prettyprint linenums">#wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf<br />
#iface default inet dhcp</pre>
<p>注意保留<code>allow-hotplug wlan0</code>，英文原文是不保留的，但是我操作下来发现如果不保留这段的话，无线网卡有时无法正常配置IP，最后无线网卡IP的配置信息如下：</p>
<pre class="prettyprint linenums">allow-hotplug wlan0<br />
iface wlan0 inet static<br />
  address 192.168.42.1<br />
  netmask 255.255.255.0</pre>
<p>4.4 编辑hostapd配置</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo nano /etc/hostapd/hostapd.conf</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>内容如下：</p>
<pre class="prettyprint linenums">interface=wlan0<br />
driver=rtl871xdrv<br />
ssid=My_SSID_Name<br />
hw_mode=g<br />
channel=6<br />
macaddr_acl=0<br />
auth_algs=1<br />
ignore_broadcast_ssid=0<br />
wpa=2<br />
wpa_passphrase=MYPASSWORD<br />
wpa_key_mgmt=WPA-PSK<br />
wpa_pairwise=TKIP<br />
rsn_pairwise=CCMP</pre>
<p>4.7 启动IP转向功能以便于开通NAT</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo sh -c "echo 1 &gt; /proc/sys/net/ipv4/ip_forward"</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>编辑<code>/etc/sysctl.conf</code>改动下面这行：</p>
<pre class="prettyprint linenums">net.ipv4.ip_forward=1</pre>
<p>4.8 配置iptables防火墙</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE<br />
sudo iptables -A FORWARD -i eth0 -o wlan0 -m state --state RELATED,ESTABLISHED -j ACCEPT<br />
sudo iptables -A FORWARD -i wlan0 -o eth0 -j ACCEPT</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>到这里路由的NAT功能已经被启用，我们将刚才配置的iptables保存下来以便于下次使用：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo sh -c "iptables-save &gt; /etc/iptables.ipv4.nat"</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>编辑<code>/etc/network/interfaces</code>然后在最后加上下面这行以使每次启动都自动加载iptables配置：</p>
<pre class="prettyprint linenums">up iptables-restore &lt; /etc/iptables.ipv4.nat</pre>
<p>4.9 重启并测试hostapd</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo reboot</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>重启完成后，使用下面的命令测试是否正确：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo hostapd -dd /etc/hostapd/hostapd.conf</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>如果没有错误的话，你这时应该能搜索到你所配置的无线信号。然后Ctrl+C退出这个测试。</p>
<p>如果一切正常的话，我们可以设置hostapd的配置文件路径了。</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo nano /etc/default/hostapd</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>去掉注释符号并改动下面这行为我们的配置文件路径：</p>
<pre class="prettyprint linenums">DAEMON_CONF="/etc/hostapd/hostapd.conf"</pre>
<p>4.10 启动相应软件，并加入启动项</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">sudo service hostapd start<br />
sudo service udhcpd start<br />
sudo update-rc.d hostapd enable<br />
sudo update-rc.d udhcpd enable</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p><img referrerpolicy="no-referrer"src="http://wangye.org/blog/wp-content/uploads/2013/11/201311130900.jpg" /></p>
<p><strong>2013年12月12日更新</strong></p>
<p>最近经常发现无线网卡配置的DHCP不能发挥作用，经过排查发现给无线网卡指定的静态IP失败了，也就是说无线网卡没有IP导致DHCP无法工作，在网上找到这篇文章<a href="http://raspberrypi.stackexchange.com/questions/9425/why-wont-dnsmasqs-dhcp-server-work-when-using-hostapd" rel="external nofollow noreferrer">《Why won't dnsmasq's DHCP server work when using hostapd?》</a>，根据内容我将<code>/etc/default/ifplugd</code>的内容修改配置如下：</p>
<div>
<table>
<tbody>
<tr>
<td>
<pre class="prettyprint linenums">INTERFACES="eth0"<br />
HOTPLUG_INTERFACES="eth0"<br />
ARGS="-q -f -u0 -d10 -w -I"<br />
SUSPEND_ACTION="stop"</pre>
</td>
</tr>
</tbody>
</table>
</div>
<p>重启了几次进行测试，结果一切正常！</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqvr1g18.html">Reverse-Daily&lpar;5&rpar;-RE&lowbar;100</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvny2x9.html">申请https证书需要注意的4大问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9polgzq.html">nginx tar&period;gz安装方法&plus;简单静态文件配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mgeko8.html">C&num; Window Service详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1le6n9.html">VBA文件处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp06569.html">php unset 数组陷阱</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kjdv29.html">java自加和自减</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gedyl08.html">Unity 3D Framework Designing&lpar;9&rpar;&mdash;&mdash;构建统一的 Repository</a>
		</li>
						<li><a href="https://www.batexi.com/a/950y5oe8.html">VS2010&plus;opencv2&period;4&period;10&plus;gsl&lowbar;1&period;8配置实现RobHess的SIFT程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpyrvvq.html">iftop命令使用范例</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r54plmq.html">欧拉筛法模板&amp;amp&semi;&amp;amp&semi;P3383 【模板】线性筛素数</a>
		</li>
						<li><a href="https://www.batexi.com/a/9607gln9.html">C&num; using 的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4njez9.html">关于 uboot 的异常向量表</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g4opeq.html">subprocess&period;Popen在win10下会有异常</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy56lv9.html">MVC应用程序实现上传文件&lpar;续&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2kwjl3q.html">如何整合Office Web Apps至自己开发的系统（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjzwo0q.html">python&lowbar;基础算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/963kk7n9.html">ASP&period;NET Web API使用示例</a>
		</li>
						<li><a href="https://www.batexi.com/a/963nmd39.html">day18（JDBC事务&amp;连接池介绍&amp;DBUtils工具介绍&amp;BaseServlet作用）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qveyg2y9.html">Shiro官方快速入门10min例子源码解析框架1-初始化</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9rdkd748.html">eclipse 安装配置maven</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wywlwq.html">Nagios ： Verifying Your Configuration</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4y3zgjq.html">2015-J&period; PUMA</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmrep79.html">URAL 1012 K-based Numbers&period; Version 2（DP&plus;高精度）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4y3zxjq.html">jstack和线程dump分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1r4vx9.html">Nginx的介绍和使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1r0mz9.html">POJ1035&mdash;&mdash;Spell checker&lpar;字符串处理&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmr3g79.html">Android 通过 Intent 传递类对象</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0dpw4q.html">Android开发之bug-No Activity found to handle Intent</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwd4r0z8.html">Linux命令行批量替换多文件中的字符串【转】</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
